/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or
 * redistribute the software under the terms of the CeCILL license as
 * circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a
 * limited warranty and the software's author, the holder of the economic
 * rights, and the successive licensors have only limited liability. In this
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally,
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.inscription.serveur.components.admissions;

import org.cocktail.inscription.serveur.components.MyComponent;

import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;

// Generated by the WOLips Templateengine Plug-in at 1 avr. 2008 15:44:13
public class Admission extends MyComponent {

	public Admission(WOContext context) {
		super(context);
	}

	public WOComponent nouvelleAdmission() {
		reset();
		NouvelleAdmission page;
		try {
			page = (NouvelleAdmission) session().getNewPageWithName(NouvelleAdmission.class.getName());
		}
		catch (Exception e) {
			page = (NouvelleAdmission) pageWithName(NouvelleAdmission.class.getName());
		}
		return page;
	}

	public WOComponent resultatsAdmission() {
		reset();
		ResultatsAdmission page;
		try {
			page = (ResultatsAdmission) session().getSavedPageWithName(ResultatsAdmission.class.getName());
		}
		catch (Exception e) {
			page = (ResultatsAdmission) pageWithName(ResultatsAdmission.class.getName());
		}
		return page;
	}

	public WOComponent rechercheAdmission() {
		reset();
		RechercheAdmission page;
		try {
			page = (RechercheAdmission) session().getSavedPageWithName(RechercheAdmission.class.getName());
		}
		catch (Exception e) {
			page = (RechercheAdmission) pageWithName(RechercheAdmission.class.getName());
		}
		page.retourListeEtudiants();
		return page;
	}

}